.articles {
    margin-top: 30px;
    margin-bottom: 120px;
}

.articles-controls__grid {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    gap: 20px;
    margin-top: 30px;
}

.articles-search input {
    font-size: 15px;
    font-weight: 400;
    color: var(--dark-gray);
    background-color: transparent;
}

.articles-search::after {
    position: absolute;
    right: 18px;
}

.articles-search::after {
    content: url(../images/svg/search-gray.svg);
    top: calc(50% + 2px);
    transform: translateY(-50%);
    cursor: pointer;
}

.articles-banner {
    height: 320px;
    background-image: url(../images/banner.jpeg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
    padding: 40px;
    border-radius: 20px;
    overflow: hidden;
    margin-top: 50px;
}

.articles-banner__content {
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.articles-banner__bg {
    height: 100%;
    width: 100%;
    position: absolute;
    background-color: #2525254D;
    top: 0;
    left: 0;
}

.articles-banner__to-page {
    position: absolute;
    content: url(../images/svg/arrow-to-page-white.svg);
    top: 0;
    right: 0;
    cursor: pointer;
}

.articles-items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 20px;
}

.articles-item {
    border-radius: 20px;
    overflow: hidden;
    background-color: var(--white);
}

.articles-item__content {
    gap: 25px;
    height: auto;
}

.articles-item__img {
    height: 220px;
}

.articles-item__img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.articles-item__text {
    gap: 15px;
    padding: 30px 30px 25px 30px;
}

.articles-item__team span {
    background-color: var(--pale-blue);
    border-radius: 100px;
    padding: 8px 10px;
    color: var(--blue);
    font-size: 14px;
    font-weight: 400;
}

.articles-item__date {
    gap: 10px;
    padding: 0 30px 30px 30px;
}

.article-image {
    border-radius: 20px;
    height: 400px;
    margin-top: 50px;
    overflow: hidden;
}

.article-camera__images > div img,
.article-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.article-date {
    margin-top: 30px;
    padding-bottom: 30px;
    border-bottom: 1px solid #E2E1E1;
}

.article-content {
    gap: 30px;
    margin-top: 60px;
}

.article-content__list {
    padding-left: 25px;
}

.article-content__list li {
    position: relative;
    font-size: 18px;
    font-weight: 500;
    color: var(--blue);
    margin-top: 15px;
}

.article-content__list li::before  {
    content: url(../images/svg/list-icon.svg);
    position: absolute;
    left: -25px;
    top: -5px;
}

.article-content p {margin-top: 50px;}

.article-block {
    gap: 30px;
    margin-top: 100px;
}

.article-camera__block p,
.article-content p {    
    font-weight: 400;
    line-height: 26px;
}

.article-camera__block p {max-width: 80%;}

.article-camera__images {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.article-camera__images > div {
    border-radius: 20px;
    overflow: hidden;
}

.article__variation__title {gap: 20px;}

.article-variation-bage__title,
.article__variation__title h5 {
    font-weight: 600;
}

.article__variation__title h5:last-of-type {font-style: italic;}

.article__variation p {
    font-weight: 400;
    line-height: 26px;
}

.article__variation .article-image {margin-top: 0;}

.article-variation-bage {
    padding: 40px;
    border-radius: 20px;
    font-size: 18px;
    font-weight: 400;
    line-height: 26px;
}

.article-variation-bage.white {background-color: white;}
.article-variation-bage.pale-blue {background-color: var(--pale-blue);}
.article-variation-bage.dark {background-color: var(--dark-gray);}
.article-variation-bage.blue {background-color: var(--blue);}

.article__tips {
    padding-left: 15px;
}

.article__tips li {
    position: relative;
    font-size: 18px;
    font-weight: 400;
    color: var(--dark-gray);
    margin-top: 15px;
}

.article__tips li::before {
    content: '';
    width: 5px;
    height: 5px;
    border-radius: 100px;
    background-color: #E2E1E1;
    position: absolute;
    left: -15px;
    top: calc(50% - 2.5px);
}

.article__exparation,
.article__literature {
    gap: 30px;
    margin-top: 50px;
}

.article__literature ol {padding-left: 20px;}

.article__literature li {
    list-style: inherit;
    margin-top: 15px;
    font-size: 18px;
    line-height: 26px;
    font-weight: 400;
}

.article__literature {
    padding-bottom: 60px;
    border-bottom: 1px solid #E2E1E1;
}

.article__interesting {
    gap: 50px;
    margin: 120px 0;
    position: relative;
}

.article-page {
    margin-top: 30px;
}

@media (max-width: 768px) {
    .article-camera__images,
    .articles-items {
        grid-template-columns: 1fr;
    }

    .article-page {
        margin-top: 15px;
    }
    
    .article-camera__images div:last-of-type {display: none;}

    .article-block,
    .article-content p,
    .article-content,
    .article-image {margin-top: 40px;}

    .article__interesting {margin: 60px 0;}

    .article__interesting {gap: 40px;}
}

@media (max-width: 576px) {
    .articles__slider {
        position: relative;
        z-index: 10;
    }

    .articles-controls__grid {        
        display: flex;
        gap: 0;
    }

    .articles-controls__grid .controls__dropdown {
        min-width: 280px;
    } 

    .articles-controls__grid > div:nth-of-type(1) {
        width: 150px !important;
    }      

    .articles-controls__grid > div:nth-of-type(2) {
        width: 120px !important;
    }      

    .articles-controls__grid > div:nth-of-type(3) {
        width: 220px !important;
    }      

    .articles {
        margin-bottom: 60px;
    }

    .articles button {
        height: 70px;
        margin-top: 30px;
    }

    .articles-banner {
        padding: 25px;
    }

    .articles-banner__bg {
        height: 220px;
    }

    .article__interesting__prev,
    .article__interesting__next {
        display: none;
    }

    .article-block,
    .article-content p,
    .article-content,
    .article-image {
        margin-top: 30px;
    }
    .article-image {
        height: 200px;
    }

    .article-variation-bage {
        padding: 30px 25px;
    }

    .article__exparation, .article__literature {gap: 20px;}

    .article__interesting {gap: 30px;}
}